Index Dataset
=============

This record serves as an index to the other dataset releases that are part of the paper "FastZIP: Faster and More Secure Zero-Interaction Pairing" by Mikhail Fomichev, Julia Hesse, Lars Almon, Timm Lippert, Jun Han, Matthias Hollick, in Proceedings of the 19th Annual International Conference on Mobile Systems, Applications, and Services (MobiSys '21).

We have chosen to split the dataset into several parts to meet Zenodo size requirements and make it easier to find specific pieces of data. In total, the following datasets exist:

1.  **Raw data**:
    [This dataset](https://doi.org/10.5281/zenodo.4906396) contains raw data collected in our experiments. It includes accelerometer, gyroscope, barometer, and magnetometer readings recorded by several devices fixed inside cars' interiors. These raw data can be used to repeat our own experiments, or to apply different zero-interaction pairing (ZIP) schemes to it to have a baseline for comparisons. To collect the raw data, we used the following [Android app](https://github.com/seemoo-lab/seemoo-mobile-sensing). 
2.  **Results Data**:
    [The results dataset](https://doi.org/10.5281/zenodo.4911390) contains the evaluation results (e.g., computed error rates, randomness/entropy evaluation of fingerprints, benchmarking for the fPAKE prototype). The codebase to generate these results can be found in [the source code repository](https://github.com/seemoo-lab/fastzip). 

